Debian Bug report logs - #658870
Call-time pass-by-reference has been removed from php5 (>= 5.4)

version graph

Package: php-horde-auth; Maintainer for php-horde-auth is Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>; Source for php-horde-auth is src:php-horde-auth.

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Mon, 6 Feb 2012 13:57:32 UTC

Severity: serious

Tags: patch, upstream

Found in version php-horde-auth/1.4.7-1

Fixed in version php-horde-auth/1.4.7-1.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.horde.org/ticket/10965

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658870; Package php-horde-auth. (Mon, 06 Feb 2012 13:57:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Mon, 06 Feb 2012 13:57:36 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Mon, 06 Feb 2012 14:53:45 +0100
Package: php-horde-auth
Version: 1.4.7-1
Severity: important
User: pkg-php-maint@lists.alioth.debian.org
Usertags: php54

Dear maintainer,

package php-horde-auth currently fails to parse correctly with
PHP 5.4 with following error(s):

PHP Fatal error:  Call-time pass-by-reference has been removed in /usr/share/php/Horde/Auth/Pam.php on line 66
Errors parsing /usr/share/php/Horde/Auth/Pam.php
xargs: php5: exited with status 255; aborting

These error were generated by php in the lint mode.  To reproduce
please install php5-cli and run:

dpkg -L php-horde-auth | grep -E ".php[54]?" | xargs -i php -l {}

PHP 5.4 is planned to be included in wheezy, as such, this bug might
become RC if not fixed before 5.4 is uploaded to sid.

Thanks, 
--
Ondřej Surý <ondrej@debian.org>

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658870; Package php-horde-auth. (Mon, 06 Feb 2012 14:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Mon, 06 Feb 2012 14:54:09 GMT) Full text and rfc822 format available.

Message #10 received at 658870@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: 658870@bugs.debian.org
Cc: control@bugs.debian.org, Ondřej Surý <ondrej@debian.org>
Subject: Re: [pkg-horde] Bug#658870: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Mon, 6 Feb 2012 15:51:15 +0100
tag 658870 + upstream patch
forwarded 658870 http://bugs.horde.org/ticket/10965
thanks

Hi,

2012/2/6 Ondřej Surý <ondrej@debian.org>:
> Package: php-horde-auth
> Version: 1.4.7-1
> Severity: important
> User: pkg-php-maint@lists.alioth.debian.org
> Usertags: php54
>
> Dear maintainer,
>
> package php-horde-auth currently fails to parse correctly with
> PHP 5.4 with following error(s):
>
> PHP Fatal error:  Call-time pass-by-reference has been removed in /usr/share/php/Horde/Auth/Pam.php on line 66
> Errors parsing /usr/share/php/Horde/Auth/Pam.php
> xargs: php5: exited with status 255; aborting

Thanks for the report. Does this mean that this is the only fatal error?

I have forwarded the bug upstream, the patch is there and will be
included before the wheezy freeze.

Regards
-- 
Mathieu Parent




Added tag(s) upstream and patch. Request was from Mathieu Parent <math.parent@gmail.com> to control@bugs.debian.org. (Mon, 06 Feb 2012 14:54:12 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://bugs.horde.org/ticket/10965'. Request was from Mathieu Parent <math.parent@gmail.com> to control@bugs.debian.org. (Mon, 06 Feb 2012 14:54:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658870; Package php-horde-auth. (Mon, 06 Feb 2012 15:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Mon, 06 Feb 2012 15:03:09 GMT) Full text and rfc822 format available.

Message #19 received at 658870@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 658870@bugs.debian.org, control@bugs.debian.org
Subject: Re: [pkg-horde] Bug#658870: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Mon, 6 Feb 2012 16:02:15 +0100
[Noticed the question after sending first email, reply below.]

On Mon, Feb 6, 2012 at 15:51, Mathieu Parent <math.parent@gmail.com> wrote:
> tag 658870 + upstream patch
> forwarded 658870 http://bugs.horde.org/ticket/10965
> thanks

> Thanks for the report. Does this mean that this is the only fatal error?

There was similar bug in horde3:

php5.4/horde3.php-lint:PHP Fatal error:  Call-time pass-by-reference
has been removed in /usr/share/horde3/lib/Horde/Kolab/Test/ilter.php
on line 135
php5.4/horde3.php-lint:Errors parsing
/usr/share/horde3/lib/Horde/Kolab/Test/Filter.php
php5.4/horde3.php-lint:xargs: php5: exited with status 255; aborting

And hmm, just noticed this warning :-/

php5.4/php-horde-auth.php-lint:PHP Fatal error:  Call-time
pass-by-reference has been removed in /usr/share/php/Horde/Auth/Pam.pp
on line 66
php5.4/php-horde-auth.php-lint:Errors parsing /usr/share/php/Horde/Auth/Pam.php
php5.4/php-horde-auth.php-lint:xargs: php5: exited with status 255; aborting

When changed to:
dpkg -L php-horde-auth | grep -E ".php[54]?" | xargs -i sh -c "php -l
{} || true"

It prints one more:

PHP Parse error:  syntax error, unexpected 'version' (T_STRING) in
/usr/share/php/tests/Horde_Auth/Horde/Auth/phpunit.xml on line 1
Errors parsing /usr/share/php/tests/Horde_Auth/Horde/Auth/phpunit.xml

But you will likely find this error with PHP 5.3 too.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658870; Package php-horde-auth. (Mon, 06 Feb 2012 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Mon, 06 Feb 2012 16:00:03 GMT) Full text and rfc822 format available.

Message #24 received at 658870@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 658870@bugs.debian.org
Subject: Re: [pkg-horde] Bug#658870: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Mon, 6 Feb 2012 16:57:05 +0100
Also please note that php -l just checks the syntax of your code (syntax
errors, new reserved keywords, etc., so there could be different failures
in the source code which would be only revealed by running the code live.
But, alas, I don't have a time for that.

Ondrej

On Mon, Feb 6, 2012 at 16:02, Ondřej Surý <ondrej@debian.org> wrote:
> [Noticed the question after sending first email, reply below.]
>
> On Mon, Feb 6, 2012 at 15:51, Mathieu Parent <math.parent@gmail.com> wrote:
>> tag 658870 + upstream patch
>> forwarded 658870 http://bugs.horde.org/ticket/10965
>> thanks
>
>> Thanks for the report. Does this mean that this is the only fatal error?
>
> There was similar bug in horde3:
>
> php5.4/horde3.php-lint:PHP Fatal error:  Call-time pass-by-reference
> has been removed in /usr/share/horde3/lib/Horde/Kolab/Test/ilter.php
> on line 135
> php5.4/horde3.php-lint:Errors parsing
> /usr/share/horde3/lib/Horde/Kolab/Test/Filter.php
> php5.4/horde3.php-lint:xargs: php5: exited with status 255; aborting
>
> And hmm, just noticed this warning :-/
>
> php5.4/php-horde-auth.php-lint:PHP Fatal error:  Call-time
> pass-by-reference has been removed in /usr/share/php/Horde/Auth/Pam.pp
> on line 66
> php5.4/php-horde-auth.php-lint:Errors parsing /usr/share/php/Horde/Auth/Pam.php
> php5.4/php-horde-auth.php-lint:xargs: php5: exited with status 255; aborting
>
> When changed to:
> dpkg -L php-horde-auth | grep -E ".php[54]?" | xargs -i sh -c "php -l
> {} || true"
>
> It prints one more:
>
> PHP Parse error:  syntax error, unexpected 'version' (T_STRING) in
> /usr/share/php/tests/Horde_Auth/Horde/Auth/phpunit.xml on line 1
> Errors parsing /usr/share/php/tests/Horde_Auth/Horde/Auth/phpunit.xml
>
> But you will likely find this error with PHP 5.3 too.
>
> O.
> --
> Ondřej Surý <ondrej@sury.org>



-- 
Ondřej Surý <ondrej@sury.org>




Severity set to 'serious' from 'important' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 15:24:08 GMT) Full text and rfc822 format available.

Added indication that bug 658870 blocks 666411 Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 15:24:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658870; Package php-horde-auth. (Thu, 19 Apr 2012 09:58:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 09:58:42 GMT) Full text and rfc822 format available.

Message #33 received at 658870@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 658870@bugs.debian.org
Subject: Re: [pkg-horde] Bug#658870: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Thu, 19 Apr 2012 11:40:53 +0200
Hi Mathieu,

any news on the progress of this? This bug is currently blocking PHP 5.4.1 from
entering testing, so I would like to see it fixed sooner than later.

Thank you,
Ondrej

On Mon, Feb 6, 2012 at 15:51, Mathieu Parent <math.parent@gmail.com> wrote:
> tag 658870 + upstream patch
> forwarded 658870 http://bugs.horde.org/ticket/10965
> thanks
>
> Hi,
>
> 2012/2/6 Ondřej Surý <ondrej@debian.org>:
>> Package: php-horde-auth
>> Version: 1.4.7-1
>> Severity: important
>> User: pkg-php-maint@lists.alioth.debian.org
>> Usertags: php54
>>
>> Dear maintainer,
>>
>> package php-horde-auth currently fails to parse correctly with
>> PHP 5.4 with following error(s):
>>
>> PHP Fatal error:  Call-time pass-by-reference has been removed in /usr/share/php/Horde/Auth/Pam.php on line 66
>> Errors parsing /usr/share/php/Horde/Auth/Pam.php
>> xargs: php5: exited with status 255; aborting
>
> Thanks for the report. Does this mean that this is the only fatal error?
>
> I have forwarded the bug upstream, the patch is there and will be
> included before the wheezy freeze.
>
> Regards
> --
> Mathieu Parent



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658870; Package php-horde-auth. (Thu, 19 Apr 2012 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 11:42:09 GMT) Full text and rfc822 format available.

Message #38 received at 658870@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Ondřej Surý <ondrej@debian.org>, 658870@bugs.debian.org
Subject: Re: [pkg-horde] Bug#658870: Bug#658870: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Thu, 19 Apr 2012 13:39:03 +0200
Le 19 avril 2012 11:40, Ondřej Surý <ondrej@debian.org> a écrit :
> Hi Mathieu,
Hi Ondrej,

>
> any news on the progress of this? This bug is currently blocking PHP 5.4.1 from
> entering testing, so I would like to see it fixed sooner than later.

I don't have time yet to upload a newer php-horde-auth. As the
relevant file is loaded only when using the not-so-used "pam" php
extention, please remove the "Breaks: php-horde-auth (<= 1.4.7-1)" or
feel free to NMU.

Cheers
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658870; Package php-horde-auth. (Thu, 19 Apr 2012 12:27:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 12:27:26 GMT) Full text and rfc822 format available.

Message #43 received at 658870@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 658870@bugs.debian.org
Subject: Re: [pkg-horde] Bug#658870: Bug#658870: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Thu, 19 Apr 2012 14:25:28 +0200
Ok, I will remove the Breaks: in next upload.

O.

On Thu, Apr 19, 2012 at 13:39, Mathieu Parent <math.parent@gmail.com> wrote:
> Le 19 avril 2012 11:40, Ondřej Surý <ondrej@debian.org> a écrit :
>> Hi Mathieu,
> Hi Ondrej,
>
>>
>> any news on the progress of this? This bug is currently blocking PHP 5.4.1 from
>> entering testing, so I would like to see it fixed sooner than later.
>
> I don't have time yet to upload a newer php-horde-auth. As the
> relevant file is loaded only when using the not-so-used "pam" php
> extention, please remove the "Breaks: php-horde-auth (<= 1.4.7-1)" or
> feel free to NMU.
>
> Cheers
> --
> Mathieu



-- 
Ondřej Surý <ondrej@sury.org>




Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 07:03:21 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 07:03:21 GMT) Full text and rfc822 format available.

Message #48 received at 658870-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 658870-close@bugs.debian.org
Subject: Bug#658870: fixed in php-horde-auth 1.4.7-1.1
Date: Sun, 29 Apr 2012 07:02:24 +0000
Source: php-horde-auth
Source-Version: 1.4.7-1.1

We believe that the bug you reported is fixed in the latest version of
php-horde-auth, which is due to be installed in the Debian FTP archive:

php-horde-auth_1.4.7-1.1.debian.tar.gz
  to main/p/php-horde-auth/php-horde-auth_1.4.7-1.1.debian.tar.gz
php-horde-auth_1.4.7-1.1.dsc
  to main/p/php-horde-auth/php-horde-auth_1.4.7-1.1.dsc
php-horde-auth_1.4.7-1.1_all.deb
  to main/p/php-horde-auth/php-horde-auth_1.4.7-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658870@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated php-horde-auth package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Apr 2012 06:45:55 +0000
Source: php-horde-auth
Binary: php-horde-auth
Architecture: source all
Version: 1.4.7-1.1
Distribution: unstable
Urgency: low
Maintainer: Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 php-horde-auth - ${phppear:summary}
Closes: 658870
Changes: 
 php-horde-auth (1.4.7-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fixes call-time pass-by-reference (Closes: #658870).
Checksums-Sha1: 
 d91f491176a4e9e1807ee35c036220955ae59fbf 1212 php-horde-auth_1.4.7-1.1.dsc
 8d8bb0377bbac2806276062fb48cf6f593e6ac75 2062 php-horde-auth_1.4.7-1.1.debian.tar.gz
 4c871b6139a2a0baa2495f64dbe0e0aa4922cb91 55542 php-horde-auth_1.4.7-1.1_all.deb
Checksums-Sha256: 
 7d97430627681ad099e3280874d2ab849691784a61cdfa1cae062247da5c5123 1212 php-horde-auth_1.4.7-1.1.dsc
 8cedf8c4ceb67ea72ad8e55f2867a73c786972567d46feb4e9e4d7f67ec78133 2062 php-horde-auth_1.4.7-1.1.debian.tar.gz
 6e6a4d945a8e879f72027fd88407b83b76bc3dce90ee51ac668a390e65766d89 55542 php-horde-auth_1.4.7-1.1_all.deb
Files: 
 5a8512dd6d5b5f923dd838d90599b49f 1212 php extra php-horde-auth_1.4.7-1.1.dsc
 0be7e464c433b1fbf0fc078473b527f4 2062 php extra php-horde-auth_1.4.7-1.1.debian.tar.gz
 da9eef3ae1be933ad7692b21ccce554d 55542 php extra php-horde-auth_1.4.7-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+c5PwACgkQl4M9yZjvmkmy0wCgnG5xOxhfi/kVSje3XZtF7WbX
N0sAnRneLwBSlSRGZOwjO0LaHXxFUlVZ
=IMsV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jun 2012 07:48:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:26:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.